Bug 205118 - Symlink /usr/bin/gprolog points to wrong place
Summary: Symlink /usr/bin/gprolog points to wrong place
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gprolog (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-04 11:23 UTC by Alisdair Tullo
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 16:24:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alisdair Tullo 2006-09-04 11:23:57 UTC
Description of problem:

The symlink /usr/lib/gprolog points to /usr/lib/gprolog-1.2.19/bin/gprolog which
is not present. The gprolog executable is present in lib64, full path:
/usr/lib64/gprolog-1.2.19/bin/gprolog .

Version-Release number of selected component (if applicable):

12:24(u20at)~$ rpm -q gprolog
gprolog-1.2.19-5.fc5

How reproducible:

Always

Steps to Reproduce:

12:23(u20at)~$ whereis gprolog
gprolog: /usr/bin/gprolog
12:23(u20at)~$ ls -l /usr/bin/gprolog
lrwxrwxrwx 1 root root 33 Sep  4 12:13 /usr/bin/gprolog ->
../lib/gprolog-1.2.19/bin/gprolog
12:23(u20at)~$ ls -l /usr/lib/gprolog-1.2.19/bin/gprolog
ls: /usr/lib/gprolog-1.2.19/bin/gprolog: No such file or directory
12:24(u20at)~$ ls -l /usr/lib64/gprolog-1.2.19/bin/gprolog
-rwxr-xr-x 1 root root 864648 May 16 17:01 /usr/lib64/gprolog-1.2.19/bin/gprolog
12:24(u20at)~$ /usr/lib64/gprolog-1.2.19/bin/gprolog
GNU Prolog 1.2.19
By Daniel Diaz
Copyright (C) 1999-2005 Daniel Diaz
| ?-
  
Actual results:

See steps.

Expected results:

See steps.

Additional info:

None

Comment 1 Jochen Schmitt 2006-09-07 16:24:57 UTC
I have fix the problem in devel and FC-5. The new packages should be available
on the mirrors on the next days.




Note You need to log in before you can comment on or make changes to this bug.